r2418 - jhalfs/branches/experimental

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Mon Mar 27 11:08:37 PST 2006


Author: manuel
Date: 2006-03-27 12:08:37 -0700 (Mon, 27 Mar 2006)
New Revision: 2418

Modified:
   jhalfs/branches/experimental/master.sh
Log:
Separate current switches by books that can use it.

Modified: jhalfs/branches/experimental/master.sh
===================================================================
--- jhalfs/branches/experimental/master.sh	2006-03-27 18:58:46 UTC (rev 2417)
+++ jhalfs/branches/experimental/master.sh	2006-03-27 19:08:37 UTC (rev 2418)
@@ -98,6 +98,7 @@
 
 while test $# -gt 0 ; do
   case $1 in
+  # Common options for all books
     --book | -B )
       test $# = 1 && eval "$exit_missing_arg"
       shift
@@ -132,17 +133,6 @@
       MKFILE=$JHALFSDIR/Makefile
       ;;
 
-    --fstab | -F )
-      test $# = 1 && eval "$exit_missing_arg"
-      shift
-      if [ -f $1 ] ; then
-        FSTAB=$1
-      else
-        echo -e "\nFile $1 not found. Verify your command line.\n"
-        exit 1
-      fi
-      ;;
-
     --get-packages | -G )  HPKG=1    ;;
 
     --help | -h )
@@ -153,21 +143,6 @@
         fi
       ;;
 
-    --kernel-config | -K )
-      test $# = 1 && eval "$exit_missing_arg"
-      shift
-      if [ -f $1 ] ; then
-        CONFIG=$1
-      else
-        echo -e "\nFile $1 not found. Verify your command line.\n"
-        exit 1
-      fi
-      ;;
-
-    --make | -M )      RUNMAKE=1 ;;
-
-    --rebuild | -R )       CLEAN=1   ;;
-
     --testsuites | -T )
       test $# = 1 && eval "$exit_missing_arg"
       shift
@@ -230,6 +205,33 @@
           fi
           ;;
 
+    # Common options for LFS, CLFS and HLFS
+    --fstab | -F )
+      test $# = 1 && eval "$exit_missing_arg"
+      shift
+      if [ -f $1 ] ; then
+        FSTAB=$1
+      else
+        echo -e "\nFile $1 not found. Verify your command line.\n"
+        exit 1
+      fi
+      ;;
+
+    --kernel-config | -K )
+      test $# = 1 && eval "$exit_missing_arg"
+      shift
+      if [ -f $1 ] ; then
+        CONFIG=$1
+      else
+        echo -e "\nFile $1 not found. Verify your command line.\n"
+        exit 1
+      fi
+      ;;
+
+    --make | -M )      RUNMAKE=1 ;;
+
+    --rebuild | -R )       CLEAN=1   ;;
+
     * )
       if [[ "$PROGNAME" = "blfs" ]]; then
         blfs_usage




More information about the alfs-log mailing list